package com.anbo.teacherlistexample;

import android.app.Activity;
import android.app.ListActivity;
import android.content.Intent;
import android.support.v7.app.AppCompatActivity;
import android.os.Bundle;
import android.view.View;
import android.widget.AdapterView;
import android.widget.ArrayAdapter;
import android.widget.ListView;

import java.lang.reflect.Array;
import java.util.List;

public class MainActivity extends Activity {

    public static final String TEACHER = "teacher";

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_main);


    }

    @Override
    protected void onStart() {
        super.onStart();

        // Want to update the Adapters data when coming back from the child activity
        ListView teacherListView = (ListView) findViewById(R.id.teacherListView);
        ArrayAdapter<Teacher> adapter = new ArrayAdapter<>(
                this, android.R.layout.simple_list_item_1, Teachers.getAllTeachers());
        teacherListView.setAdapter(adapter);

        teacherListView.setOnItemClickListener(new AdapterView.OnItemClickListener() {
            @Override
            public void onItemClick(AdapterView<?> parent, View view, int position, long id) {
                Intent intent = new Intent(getBaseContext(), TeacherDetailActivity.class);
                int teacherId = (int) id + 1; // teacher Id's are 1-based, not 0-based
                Teacher theTeacher = Teachers.getTeacherById(teacherId);
                intent.putExtra(TEACHER, theTeacher);
                startActivity(intent);
            }
        });
    }
}
